PrefabFiles = {
	"luorca",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/luorca.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/luorca.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/luorca.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/luorca.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/luorca_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/luorca_silho.xml" ),

    Asset( "IMAGE", "bigportraits/luorca.tex" ),
    Asset( "ATLAS", "bigportraits/luorca.xml" ),

}


-- strings! Any "LUORCA" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.luorca = "The Reluctant Deer."
GLOBAL.STRINGS.CHARACTER_NAMES.luorca = "Luorca"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.luorca = "*High hunger and health.\n *Fragile mind.\n *Somewhat knowledgeable"
GLOBAL.STRINGS.CHARACTER_QUOTES.luorca = "\"I don't know about this...\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
GLOBAL.STRINGS.CHARACTERS.LUORCA = {}
GLOBAL.STRINGS.CHARACTERS.LUORCA.DESCRIBE = {}
GLOBAL.STRINGS.CHARACTERS.LUORCA.DESCRIBE.EVERGREEN = "These things are everywhere back home."

-- Let the game know Luorca is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "luorca")


AddModCharacter("luorca")

